maxFitness.Niche {galgo} | R Documentation

## Returns the fitness of the maximum chromosome in the niche

### Description

Returns the fitness of the maximum chromosome in the niche.

### Usage

    ## S3 method for class 'Niche'
    maxFitness(ni, ...)

### Value

Returns the fitness of the maximum chromosome.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Niche`. `*best()`, `*max()`, `*bestFitness()`.

### Examples

      cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
      cr
      ni <- Niche(chromosomes = newRandomCollection(cr, 10))
      ni$fitness <- 1:10/10 # tricky fitness
      refreshStats(ni)      # compute best and max chromosomes
      summary(ni)
      best(ni)
      ni$bestChromosome     # the same
      max(ni)               # the same in this case
      bestFitness(ni)       # 1
      maxFitness(ni)        # 1

[Package galgo version 1.4 Index]